#include <com spi valores esclavo.h>

#FUSES NOMCLR

#use spi (SLAVE, CLK=PIN_B1, DI=PIN_B0, DO=PIN_C7, ENABLE=PIN_A5, MODE=0, BITS=8)

#use i2c(Master,Fast, sda=PIN_B2, scl=PIN_B3, force_sw, stream=OLED_stream)//parametros I2C

#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED
//#define SSD1306_128_64

#include "OLED_I2C.c" //libreria oled I2C

int8 recibido[20];
int16 POT;
int16 SENSOR;

void datos();
void mostrar();

#INT_SSP
void recibe()
{
   while(true)
   {
      recibido[0]=spi_read();//RECIBE el comando
      recibido[1]=spi_read();//RECIBE el valor  8 bits bajos
      recibido[2]=spi_read();//RECIBE el valor  8 bits altos
      datos();
      mostrar();
      return;
   }
}

void datos()
{
   int16 parte_baja;
   int16 parte_alta;
   while (true)
   {
      if( recibido[0] == 0x01)
      {
         parte_baja = recibido[1];
         parte_alta = recibido[2];
         POT = (parte_alta << 8) | (parte_baja & 0xFF);
         return;
      }

       if( recibido[0] == 0x02)
      {
         parte_baja = recibido[1];
         parte_alta = recibido[2];
         SENSOR = (parte_alta << 8) | (parte_baja & 0xFF);
         return;
      }

      return;
   }
}


void mostrar()
{
   char texto[20];

   sprintf(texto,"POT=%04lu",POT);
   OLED_DrawText(1,1,texto,1);

   sprintf(texto,"SENSOR=%04lu",SENSOR);
   OLED_DrawText(1,10,texto,1);

   OLED_Display();//Muestra la informacin en pantalla;
}


void main()
{
   enable_interrupts(INT_SSP);
   enable_interrupts(global);

   OLED_Begin();
   OLED_ClearDisplay();
   
   while(TRUE)
   {


      //TODO: User Code
   }

}
